<template>
  <v-timeline :id="settings.id || null" :class="settings.class" :style="settings.style">
    <v-timeline-item v-for="(item, i) in items" :key="`com-timeline__item-${i}`" :color="item.color" small>
      <template v-slot:opposite>
        <span class="headline font-weight-bold" :style="{ color: item.color }" v-text="item.title"></span>
      </template>
      <v-card class="elevation-2">
        <v-card-title
          class="headline font-weight-light mb-4"
          :style="{ color: item.color }"
          v-text="item.subtitle"
        ></v-card-title>
        <v-card-text v-html="item.description"></v-card-text>
      </v-card>
      <!-- <div class="py-4">
        <h2 class="headline font-weight-light mb-4" :style="{ color: item.color }" v-text="item.subtitle"></h2>
        <div v-html="item.description"></div>
      </div> -->
    </v-timeline-item>
  </v-timeline>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  computed: {
    settings() {
      return this.layout.settings
    },

    items() {
      return this.settings.items.map(item => item.value)
    },
  },
}
</script>

<style lang="scss" scoped>
.v-card__title {
  word-break: normal;
}
</style>
